varying float attPlayer;
uniform float ambientLightEnabled;
uniform float fogEnabled;
uniform sampler2D myTexture0;
varying float fogFactor;
varying float v;
void main ()
{
  vec4 color_1;
  vec4 light_2;
  vec4 tmpvar_3;
  tmpvar_3 = ((((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + (gl_LightSource[0].ambient * gl_FrontMaterial.ambient)) * ambientLightEnabled) + ((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + ((gl_LightSource[1].ambient * gl_FrontMaterial.ambient) * attPlayer)));
  light_2.w = tmpvar_3.w;
  light_2.x = min (1.0, tmpvar_3.x);
  light_2.y = min (1.0, tmpvar_3.y);
  light_2.z = min (1.0, tmpvar_3.z);
  color_1 = texture2D (myTexture0, gl_TexCoord[0].xy);
  if ((v > 0.0)) {
    color_1 = texture2D (myTexture0, gl_TexCoord[1].xy);
  };
  if ((v < 0.0)) {
    color_1 = texture2D (myTexture0, gl_TexCoord[2].xy);
  };
  float tmpvar_4;
  tmpvar_4 = color_1.w;
  vec4 tmpvar_5;
  tmpvar_5.xyz = (color_1 * light_2).xyz;
  tmpvar_5.w = tmpvar_4;
  gl_FragColor = tmpvar_5;
  if ((fogEnabled == 1.0)) {
    gl_FragColor = mix (gl_Fog.color, (color_1 * light_2), fogFactor);
  };
}

